Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.io.filefilter
Class DirectoryFileFilter

    java.lang.Object
      org.apache.commons.io.filefilter.AbstractFileFilter
          org.apache.commons.io.filefilter.DirectoryFileFilter

All Implemented Interfaces:
  FileFilter, FilenameFilter, Serializable, IOFileFilter

    public class DirectoryFileFilter

extends AbstractFileFilter
implements Serializable

This filter accepts `File`s that are directories.

For example, here is how to print out a list of the current directory's subdirectories:

     File dir = new File(".");
     String[] files = dir.list( DirectoryFileFilter.INSTANCE );
     for ( int i = 0; i < files.length; i++ ) {
         System.out.println(files[i]);
     }

Since:
  Commons IO 1.0
Version:
  $Revision: 1005099 $ $Date: 2010-10-06 17:13:01 +0100 (Wed, 06 Oct 2010) $
Author:
  Stephen Colebourne, Peter Donald
See Also:
  `FileFilterUtils.directoryFileFilter()`, Serialized Form

Field Summary
`static IOFileFilter` | `DIRECTORY` Singleton instance of directory filter.
`static IOFileFilter` | `INSTANCE` Singleton instance of directory filter.

Constructor Summary
`protected` | `DirectoryFileFilter()` Restrictive consructor.

Method Summary
`boolean` | `accept(File file)` Checks to see if the file is a directory.

Methods inherited from class org.apache.commons.io.filefilter.AbstractFileFilter
`accept, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DIRECTORY

    public static final IOFileFilter DIRECTORY

  Singleton instance of directory filter.

  Since:
    Commons IO 1.3

### INSTANCE

    public static final IOFileFilter INSTANCE

  Singleton instance of directory filter. Please use the identical DirectoryFileFilter.DIRECTORY constant. The new name is more JDK 1.5 friendly as it doesn't clash with other values when using static imports.

Constructor Detail

### DirectoryFileFilter

    protected DirectoryFileFilter()

  Restrictive consructor.

Method Detail

### accept

    public boolean accept(File file)

  Checks to see if the file is a directory.

  Specified by:
    `accept` in interface `FileFilter`
  Specified by:
    `accept` in interface `IOFileFilter`
  Overrides:
    `accept` in class `AbstractFileFilter`
  Parameters:
    `file` - the File to check
  Returns:
    true if the file is a directory

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2010 The Apache Software Foundation. All Rights Reserved.